<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="department">
	<Dept>
		<xsl:attribute name="LookUp"><xsl:value-of select="@id"/></xsl:attribute>
		<xsl:attribute name="FullName"><xsl:value-of select="@name"/></xsl:attribute>
		<Manager>
			<xsl:attribute name="LookUp"><xsl:value-of select="manager/@id"/></xsl:attribute>
			<xsl:value-of select="manager/@name"/>
		</Manager>
		<xsl:apply-templates select="employee"/>
	</Dept>
	</xsl:template>
	
	<xsl:template match="employee">
		<Employee>
			<xsl:attribute name="LookUp"><xsl:value-of select="@id"/></xsl:attribute>
			<xsl:attribute name="rate"><xsl:value-of select="@rate"/></xsl:attribute>
			<xsl:value-of select="@name"/>			
		</Employee>
	</xsl:template>
</xsl:stylesheet>
