// EmployeeView.h : interface of the CEmployeeView class
//


#pragma once

class CEmployeeSet;

class CEmployeeView : public CRecordView
{
protected: // create from serialization only
	CEmployeeView();
	DECLARE_DYNCREATE(CEmployeeView)

public:
	enum{ IDD = IDD_EMPLOYEE_FORM };
	CEmployeeSet* m_pSet;

// Attributes
public:
	CEmployeeDoc* GetDocument() const;
protected:
    BOOL m_bAdding;


// Operations
public:

// Overrides
	public:
	virtual CRecordset* OnGetRecordset();
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CEmployeeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnRecordDeleterecord();
    afx_msg void OnRecordAddrecord();
    virtual BOOL OnMove(UINT nIDMoveCommand);
    afx_msg void OnSortDepartment();
    afx_msg void OnSortId();
    afx_msg void OnSortName();
    afx_msg void OnSortRate();
    afx_msg void OnFilterDepartment();
    afx_msg void OnFilterId();
    afx_msg void OnFilterName();
    afx_msg void OnFilterRate();
protected:
    void DoFilter(CString col);
};

#ifndef _DEBUG  // debug version in EmployeeView.cpp
inline CEmployeeDoc* CEmployeeView::GetDocument() const
   { return reinterpret_cast<CEmployeeDoc*>(m_pDocument); }
#endif

