// PublishingView.h : interface of the CPublishingView class
//


#pragma once

class CPublishingSet;

class CPublishingView : public CRecordView
{
protected: // create from serialization only
	CPublishingView();
	DECLARE_DYNCREATE(CPublishingView)

public:
	enum{ IDD = IDD_PUBLISHING_FORM };
	CPublishingSet* m_pSet;

// Attributes
public:
	CPublishingDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual CRecordset* OnGetRecordset();
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CPublishingView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PublishingView.cpp
inline CPublishingDoc* CPublishingView::GetDocument() const
   { return reinterpret_cast<CPublishingDoc*>(m_pDocument); }
#endif

