// DiskReporter.h : Declaration of the CDiskReporter

#pragma once
#include "resource.h"       // main symbols

#include "DiskMonitor.h"


// CDiskReporter

class ATL_NO_VTABLE CDiskReporter : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CDiskReporter, &CLSID_DiskReporter>,
	public IDispatchImpl<IDiskReporter, &IID_IDiskReporter, &LIBID_DiskMonitorLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	CDiskReporter()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_DISKREPORTER)


BEGIN_COM_MAP(CDiskReporter)
	COM_INTERFACE_ENTRY(IDiskReporter)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

    static    bool m_bRunning;

    static unsigned long WINAPI ThreadProc(void* p);
};

OBJECT_ENTRY_AUTO(__uuidof(DiskReporter), CDiskReporter)
