Public Class JapanCodeCheck
    Inherits PostCodeCheck.PostCodeChecker

    Overrides Function Check(ByVal code As String) As String

        Dim errormessage As String = "OK"
        Dim number As Integer
        Dim compstring As String
        Dim firstthree As String
        Dim lastfour As String

        If code.Length = 8 Then
            firstthree = code.Substring(0, 3)
            number = Convert.ToInt32(firstthree)
            compstring = Convert.ToString(number)
            Dim zero As Char = "0"
            compstring = compstring.PadLeft(3, zero)
            If firstthree <> compstring Then
                errormessage = "Non numeric characters in first 3 digits"
            End If

            lastfour = code.Substring(4, 4)
            number = Convert.ToInt32(lastfour)
            compstring = Convert.ToString(number)
            compstring = compstring.PadLeft(4, zero)
            If lastfour <> compstring Then
                errormessage = "Non numeric characters in last 4 digits"
            End If
            If code.Substring(3, 1) <> "-" Then
                errormessage = "Character between first 3 and last 4 is not -"
            End If
        Else
            errormessage = "invalid length"

        End If
        Return errormessage


    End Function

End Class
