// ZipCheck.h

#pragma once

using namespace System;
#using <mscorlib.dll>
#using "Debug\PostCodeCheck.dll"

namespace ZipCheck
{
public __gc class ZipCheck : public PostCodeCheck::PostCodeChecker
    {
        // TODO: Add your methods for this class here.
    public:

        String* Check(String* code)
        {
            String* error = S"OK";
            Int32 number;
            String* compare;
            String* firstfive;
            String* lastfour;
            switch (code->get_Length())
            {
            case 5:
                number = Convert::ToInt32(code);
                compare = number.ToString();
                compare->PadLeft(5,L'0');
                if (!code->Equals(compare))
                {
                    error =  S"Non numeric characters in 5 digit code";
                }
                break;
            case 10:
                firstfive = code->Substring(0,5);
                number = Convert::ToInt32(firstfive);
                compare = number.ToString();
                compare = compare->PadLeft(5,L'0');
                if (!firstfive->Equals(compare))
                    error =   S"Non numeric characters in first 5 digits of zip+4 code";
                lastfour = code->Substring(6,4);
                number = Convert::ToInt32(lastfour);
                compare = number.ToString();
                compare = compare->PadLeft(4,L'0');
                if (!lastfour->Equals(compare))
                {
                    error =  S"Non numeric characters in last 4 digits of zip+4 code ";
                }
                if (!code->Substring(5,1)->Equals(S"-"))
                    error =  S"Character between first 5 and last 4 is not -";
                break;
            default:
                error =  S"invalid length";
            }
            return error;
        }
    };
}
