// This is the main project file for VC++ application project 
// generated using an Application Wizard.

#include "stdafx.h"

#using <mscorlib.dll>
#include <tchar.h>

using namespace System;

#using "Debug\PostCodeCheck.dll"
#using "Debug\CanadaCodeCheck.dll"

// This is the entry point for this application
int _tmain(void)
{
	String* Embassy = S"K1P 5T1"; //US Embassy in Ottawa
	CanadaCodeCheck::CanadaCodeChecker* canada = new CanadaCodeCheck::CanadaCodeChecker();
	
	Console::Write("Checking ");
	Console::WriteLine(Embassy);
	Console::WriteLine(canada->Check(Embassy) );

	if (canada->Test(Embassy))
		Console::WriteLine(S"passed");
	else
		Console::WriteLine(S"failed");

	String* BadCode= S"90210"; // A valid Zip Code
	
	Console::Write("Checking ");
	Console::WriteLine(BadCode);
	Console::WriteLine(canada->Check(BadCode) );

	if (canada->Test(BadCode))
		Console::WriteLine(S"passed");
	else
		Console::WriteLine(S"failed");

	Console::ReadLine();
	return 0;
}