// This is the main project file for VC++ application project 
// generated using an Application Wizard.

#include "stdafx.h"

#using <mscorlib.dll>
#include <tchar.h>

#using <mscorlib.dll>
#using <System.dll>
#using <System.Data.dll>
#using <System.Xml.dll>

using namespace System;
using namespace System::Data;
using namespace System::Data::OleDb;
using namespace System::Xml;
using namespace System::IO;

// This is the entry point for this application
int _tmain(void)
{
OleDbConnection* conn;
DataSet* employees = new DataSet("EmployeeList");
try
{
    String* connectionstring = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=deptstore.mdb;";
    conn = new OleDbConnection(connectionstring);
    conn->Open();
    String* query;
    query = "SELECT * FROM Employees";
    OleDbDataAdapter* adapter = new OleDbDataAdapter();
    adapter->SelectCommand = new OleDbCommand(query, conn);
    adapter->Fill(employees);
    conn->Close();
}
catch(OleDbException* e)
{
    Console::WriteLine("OleDbException caught");
    Console::WriteLine(e->get_Message());
}
conn->Close();

FileStream* xmlFile;
try 
{
    xmlFile = new FileStream("db.xml",
            FileMode::Create,
            FileAccess::Write);
}
catch(...)
{
    Console::WriteLine("Could not create XML file.");
    return -1;
}
XmlTextWriter* writer = new XmlTextWriter(xmlFile, 
    new System::Text::UTF8Encoding(true));
writer->set_Formatting(Formatting::Indented);
writer->WriteStartDocument();    
employees->WriteXml(writer);

return 0;
}