// PhoneNumber.cpp : Implementation of CPhoneNumber

#include "stdafx.h"
#include "PhoneNumber.h"
#include <atlrx.h>


// CPhoneNumber


STDMETHODIMP CPhoneNumber::ValidatePhoneNumber(BSTR Number, BYTE* pError, BSTR* pErrorString)
{
	USES_CONVERSION;

	CAtlRegExp<> regexp;
	CAtlREMatchContext<> Context; //companion for match

	char* number = W2A(Number);
	regexp.Parse( "([0-9][0-9][0-9]) [0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]" ); // (800) 555-1212
	if (regexp.Match( number , &Context ))
	{
		*pError = 0;
		*pErrorString = SysAllocString(L"OK");

	}
	else
	{
		*pError = 1;
		*pErrorString = SysAllocString(L"Bad Format");
	}


	return S_OK;
}
