// SdiDialog.cpp : implementation file
//

#include "stdafx.h"
#include "SDI.h"
#include "SdiDialog.h"


// CSdiDialog dialog

IMPLEMENT_DYNAMIC(CSdiDialog, CDialog)
CSdiDialog::CSdiDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CSdiDialog::IDD, pParent)
    , m_check(FALSE)
    , m_edit(_T(""))
    , m_radio(0)
    , m_selected(_T(""))
{
}

CSdiDialog::~CSdiDialog()
{
}

void CSdiDialog::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    DDX_Check(pDX, IDC_CHECK1, m_check);
    DDX_Text(pDX, IDC_EDIT1, m_edit);
    DDX_Control(pDX, IDC_LIST1, m_listbox);
    DDX_Radio(pDX, IDC_RADIO1, m_radio);
}


BEGIN_MESSAGE_MAP(CSdiDialog, CDialog)
END_MESSAGE_MAP()


// CSdiDialog message handlers

BOOL CSdiDialog::OnInitDialog()
{
    CDialog::OnInitDialog();

     m_listbox.AddString("First String");
     m_listbox.AddString("Second String");
     m_listbox.AddString("Yet Another String");
     m_listbox.AddString("String Number Four");
     m_listbox.SetCurSel(2);

     m_radio = 1;
    UpdateData(FALSE);


    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}

void CSdiDialog::OnOK()
{
     int index = m_listbox.GetCurSel();
     if (index != LB_ERR)
     {
          m_listbox.GetText(index, m_selected);
     }
     else
     {
          m_selected = "";
     }

    CDialog::OnOK();
}

void CSdiDialog::OnCancel()
{
     m_selected = "";

    CDialog::OnCancel();
}
