// Paint1View.h : interface of the CPaint1View class
//


#pragma once


class CPaint1View : public CView
{
protected: // create from serialization only
	CPaint1View();
	DECLARE_DYNCREATE(CPaint1View)

// Attributes
protected:
     enum {Fonts, Pens, Brushes} m_Display;
public:
	CPaint1Doc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CPaint1View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
    void ShowFonts(CDC* pDC);
    void ShowPens(CDC* pDC);
    void ShowBrushes(CDC* pDC);
public:
    afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // debug version in Paint1View.cpp
inline CPaint1Doc* CPaint1View::GetDocument() const
   { return reinterpret_cast<CPaint1Doc*>(m_pDocument); }
#endif

