// RecsView.cpp : implementation of the CRecsView class
//

#include "stdafx.h"
#include "Recs.h"

#include "RecsDoc.h"
#include "RecsView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CRecsView

IMPLEMENT_DYNCREATE(CRecsView, CView)

BEGIN_MESSAGE_MAP(CRecsView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_WM_LBUTTONDOWN()
END_MESSAGE_MAP()

// CRecsView construction/destruction

CRecsView::CRecsView()
{
	// TODO: add construction code here

}

CRecsView::~CRecsView()
{
}

BOOL CRecsView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CRecsView drawing

void CRecsView::OnDraw(CDC* pDC)
{
	CRecsDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);


    int pointIndex = pDoc->m_pointIndex;

    for (int i=0; i<pointIndex; ++i)
    {
        int x = pDoc->m_points[i].x;
        int y = pDoc->m_points[i].y;
        pDC->Rectangle(x, y, x+20, y+20);
    }
}


// CRecsView printing

BOOL CRecsView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CRecsView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CRecsView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CRecsView diagnostics

#ifdef _DEBUG
void CRecsView::AssertValid() const
{
	CView::AssertValid();
}

void CRecsView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CRecsDoc* CRecsView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CRecsDoc)));
	return (CRecsDoc*)m_pDocument;
}
#endif //_DEBUG


// CRecsView message handlers

void CRecsView::OnLButtonDown(UINT nFlags, CPoint point)
{
    CRecsDoc *pDoc = GetDocument();

    // don't go past the end of the 100 points allocated
    if (pDoc->m_pointIndex == 100)
       return;

    //store the click location
    pDoc->m_points[pDoc->m_pointIndex] = point;
    pDoc->m_pointIndex++;

    pDoc->SetModifiedFlag();
    Invalidate();

    CView::OnLButtonDown(nFlags, point);

	CView::OnLButtonDown(nFlags, point);
}
