// MultiStringView.h : interface of the CMultiStringView class
//


#pragma once


class CMultiStringView : public CView
{
protected: // create from serialization only
	CMultiStringView();
	DECLARE_DYNCREATE(CMultiStringView)

// Attributes
public:
	CMultiStringDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CMultiStringView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnEditChangemessage();
};

#ifndef _DEBUG  // debug version in MultiStringView.cpp
inline CMultiStringDoc* CMultiStringView::GetDocument() const
   { return reinterpret_cast<CMultiStringDoc*>(m_pDocument); }
#endif

