// RebarView.h : interface of the CRebarView class
//


#pragma once


class CRebarView : public CView
{
protected: // create from serialization only
	CRebarView();
	DECLARE_DYNCREATE(CRebarView)

// Attributes
public:
	CRebarDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CRebarView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
    afx_msg void OnClick();
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in RebarView.cpp
inline CRebarDoc* CRebarView::GetDocument() const
   { return reinterpret_cast<CRebarDoc*>(m_pDocument); }
#endif

