// StatusView.h : interface of the CStatusView class
//


#pragma once


class CStatusView : public CView
{
protected: // create from serialization only
	CStatusView();
	DECLARE_DYNCREATE(CStatusView)

// Attributes
public:
	CStatusDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CStatusView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in StatusView.cpp
inline CStatusDoc* CStatusView::GetDocument() const
   { return reinterpret_cast<CStatusDoc*>(m_pDocument); }
#endif

