#pragma once

#include "helpmap.h"

// COptionsDialog dialog

class COptionsDialog : public CDialog
{
	DECLARE_DYNAMIC(COptionsDialog)

public:
	COptionsDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~COptionsDialog();

// Dialog Data
	enum { IDD = IDD_OPTIONS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
    // string edit box value
    CString m_string;
    // color selected from the radio buttons: 0 is black, 1 is red, 2 is green
    int m_color;
    // true if string should be centered horizontally
    BOOL m_horizcenter;
    // true if string is to be centered vertically
    BOOL m_vertcenter;
    afx_msg void OnContextMenu(CWnd* /*pWnd*/, CPoint /*point*/);
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
};
