// Page2.cpp : implementation file
//

#include "stdafx.h"
#include "Wizard.h"
#include "Page2.h"


// CPage2 dialog

IMPLEMENT_DYNAMIC(CPage2, CPropertyPage)
CPage2::CPage2()
	: CPropertyPage(CPage2::IDD)
    , m_check(FALSE)
{
}

CPage2::~CPage2()
{
}

void CPage2::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    DDX_Check(pDX, IDC_CHECK1, m_check);
}


BEGIN_MESSAGE_MAP(CPage2, CPropertyPage)
END_MESSAGE_MAP()


// CPage2 message handlers

BOOL CPage2::OnSetActive()
{
     CPropertySheet* parent = (CPropertySheet*)GetParent();
     parent->SetWizardButtons(PSWIZB_BACK | PSWIZB_NEXT);

    return CPropertyPage::OnSetActive();
}

LRESULT CPage2::OnWizardBack()
{
     CButton *checkBox = (CButton*)GetDlgItem(IDC_CHECK1);
     if (!checkBox->GetCheck())
     {
          MessageBox("You must check the box.");
          return -1;
     }

    return CPropertyPage::OnWizardBack();
}

LRESULT CPage2::OnWizardNext()
{
     UpdateData();
     if (!m_check)
     {
          MessageBox("You must check the box.");
          return -1;
     }

    return CPropertyPage::OnWizardNext();
}
