// PhoneNumber.h : Declaration of the CPhoneNumber

#pragma once
#include "resource.h"       // main symbols


// IPhoneNumber
[
	object,
	uuid("1267EA10-EBA2-45FD-ACD0-55AB1F121228"),
	dual,	helpstring("IPhoneNumber Interface"),
	pointer_default(unique)
]
__interface IPhoneNumber : IDispatch
{
    [id(1), helpstring("method ValidatePhoneNumber")] HRESULT ValidatePhoneNumber([in] BSTR Number, [out] BYTE* pError, [out] BSTR* pErrorString);
};



// CPhoneNumber

[
	coclass,
	threading("apartment"),
	vi_progid("PhoneFormat.PhoneNumber"),
	progid("PhoneFormat.PhoneNumber.1"),
	version(1.0),
	uuid("5F6E8371-6612-460C-A8C2-79E05CDDCFBA"),
	helpstring("PhoneNumber Class")
]
class ATL_NO_VTABLE CPhoneNumber : 
	public IPhoneNumber
{
public:
	CPhoneNumber()
	{
	}


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

    STDMETHOD(ValidatePhoneNumber)(BSTR Number, BYTE* pError, BSTR* pErrorString);
};

