// PublishingView.cpp : implementation of the CPublishingView class
//

#include "stdafx.h"
#include "Publishing.h"

#include "PublishingSet.h"
#include "PublishingDoc.h"
#include "PublishingView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CPublishingView

IMPLEMENT_DYNCREATE(CPublishingView, CRecordView)

BEGIN_MESSAGE_MAP(CPublishingView, CRecordView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CRecordView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CRecordView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CRecordView::OnFilePrintPreview)
END_MESSAGE_MAP()

// CPublishingView construction/destruction

CPublishingView::CPublishingView()
	: CRecordView(CPublishingView::IDD)
{
	m_pSet = NULL;
	// TODO: add construction code here

}

CPublishingView::~CPublishingView()
{
}

void CPublishingView::DoDataExchange(CDataExchange* pDX)
{
	CRecordView::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_QUERY_LNAME, m_pSet->m_dboauthorsau_lname);
	DDX_Text(pDX, IDC_QUERY_FNAME, m_pSet->m_dboauthorsau_fname);
	DDX_Text(pDX, IDC_QUERY_TITLE, m_pSet->m_dbotitlestitle);
	DDX_Text(pDX, IDC_QUERY_YTDSALES, m_pSet->m_dbotitlesytd_sales);
}

BOOL CPublishingView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CRecordView::PreCreateWindow(cs);
}

void CPublishingView::OnInitialUpdate()
{
	m_pSet = &GetDocument()->m_PublishingSet;
	CRecordView::OnInitialUpdate();
}


// CPublishingView printing

BOOL CPublishingView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CPublishingView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CPublishingView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CPublishingView diagnostics

#ifdef _DEBUG
void CPublishingView::AssertValid() const
{
	CRecordView::AssertValid();
}

void CPublishingView::Dump(CDumpContext& dc) const
{
	CRecordView::Dump(dc);
}

CPublishingDoc* CPublishingView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CPublishingDoc)));
	return (CPublishingDoc*)m_pDocument;
}
#endif //_DEBUG


// CPublishingView database support
CRecordset* CPublishingView::OnGetRecordset()
{
	return m_pSet;
}



// CPublishingView message handlers
