// LeakView.h : interface of the CLeakView class
//


#pragma once


class CLeakView : public CView
{
protected: // create from serialization only
	CLeakView();
	DECLARE_DYNCREATE(CLeakView)

// Attributes
public:
	CLeakDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CLeakView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in LeakView.cpp
inline CLeakDoc* CLeakView::GetDocument() const
   { return reinterpret_cast<CLeakDoc*>(m_pDocument); }
#endif

