// Dump.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
// _DEBUG defined for debug build

class CPeople : public CObject
{
public:
    // constructor
        CPeople( const char * name );
        // destructor
        virtual ~CPeople();
        #ifdef _DEBUG
            virtual void Dump(CDumpContext& dc) const;
        #endif
    private:
        CString * person;
    };

    // constructor
    CPeople::CPeople( const char * name) : person( new CString(name)) {};
    // destructor
    CPeople::~CPeople(){ delete person; }

#ifdef _DEBUG
    void CPeople::Dump( CDumpContext& dc ) const
    {
        CObject::Dump(dc);
        dc << person->GetBuffer( person->GetLength() + 1);
    }
#endif

int main()
    {
        CPeople person1("Kate Gregory");
        CPeople person2("Hans Hesse");


        // Use existing afxDump with virtual dump member function
        person1.Dump( afxDump );

        // Instantiate a CFile object
        CFile dumpFile("dumpout.txt", CFile::modeCreate |
            CFile::modeWrite);

        if( !dumpFile )
        {
            afxDump << "File open failed.";
        }
        else
        {
            // Dump with other CDumpContext
            CDumpContext context(&dumpFile);
            person2.Dump(context);
        }

        return 0;
    }

