// DiskMonitor.cpp : Implementation of WinMain

#include "stdafx.h"
#include "resource.h"
#include "DiskMonitor.h"
#include "DiskMonitorClass.h"
#include "DiskReporter.h"
#include <stdio.h>



CDiskMonitorModule _AtlModule;


//
extern "C" int WINAPI _tWinMain(HINSTANCE /*hInstance*/, HINSTANCE /*hPrevInstance*/, 
                                LPTSTR /*lpCmdLine*/, int nShowCmd)
{
    return _AtlModule.WinMain(nShowCmd);
}

HRESULT CDiskMonitorModule::PostMessageLoop()
{
    CDiskReporter::m_bRunning = false;
    WaitForSingleObject(threadhandle, 20000);
    return CAtlServiceModuleT< CDiskMonitorModule,IDS_SERVICENAME >::PostMessageLoop();
}

HRESULT CDiskMonitorModule::PreMessageLoop(int nShowCmd)
{
    CDiskReporter::m_bRunning = true;
    DWORD threadid;
    threadhandle = CreateThread(NULL, 0, CDiskReporter::ThreadProc, this, 0,  &threadid);
    return CAtlServiceModuleT< CDiskMonitorModule,IDS_SERVICENAME >::PreMessageLoop(nShowCmd);
}
