using System;

namespace CSZipTest
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class ZipTest
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
            string QueBooks = "46290-1097";
            ZipCheck.ZipCheck zip = new ZipCheck.ZipCheck();
		
            Console.Write("Checking ");
            Console.WriteLine(QueBooks);
            Console.WriteLine(zip.Check(QueBooks) );

            string WhiteHouse = "20500";
	
            Console.Write("Checking ");
            Console.WriteLine(WhiteHouse);
            Console.WriteLine(zip.Check(WhiteHouse) );

            /*string BadCode= "M5W 1E6"; // A valid Canadian Postal Code
		
            Console.Write("Checking ");
            Console.WriteLine(BadCode);
            Console.WriteLine(zip.Check(BadCode) );

            string POBox1PortlandMaine= "04112-0001"; //leading zeroes
		
            Console.Write("Checking ");
            Console.WriteLine(POBox1PortlandMaine);
            Console.WriteLine(zip.Check(POBox1PortlandMaine) );
 */          

            CanadaCodeCheck.CanadaCodeChecker canada = new CanadaCodeCheck.CanadaCodeChecker();
            string GoodCode = "M5W 1E6"; // A valid Canadian Postal Code
			
            Console.Write("Checking for Canada ");
            Console.WriteLine(GoodCode);
            Console.WriteLine(canada.Check(GoodCode) );

            string POBox1PortlandMaine= "04112-0001"; //leading zeroes
		
            Console.Write("Checking for Canada ");
            Console.WriteLine(POBox1PortlandMaine);
            Console.WriteLine(canada.Check(POBox1PortlandMaine) );
            
            Console.ReadLine();

        }
	}
}
