// This is the main DLL file.

#include "stdafx.h"

#include "EmployeeData.h"
#using <System.Data.dll>
using namespace System::Data;
using namespace System::Data::OleDb;

DataSet* EmployeeData::Employee::RetrieveData()
{
    DataSet* ds = new DataSet("Employees");
    OleDbConnection* conn = new OleDbConnection(m_Connection);
    conn->Open();

    OleDbDataAdapter* adapter = new OleDbDataAdapter();
    adapter->SelectCommand = new OleDbCommand(m_Query, conn);

    try
    {
        adapter->Fill(ds);
    }
    catch (OleDbException* e)
    {
        Console::WriteLine("OleDbException caught while filling the dataset");
        Console::WriteLine(e->Message);
    }
    conn->Close();
    return ds;
}

void EmployeeData::Employee::FilterEmployee(String* name)
{
    System::Text::StringBuilder* sb = 
         new System::Text::StringBuilder(
            S"SELECT * FROM Employees WHERE EmployeeName LIKE '%");
    sb->Append(name);
    sb->Append(S"%'");
    m_Query = sb->ToString();
}
