// PhoneNumber.h : Declaration of the CPhoneNumber

#pragma once
#include "resource.h"       // main symbols


// IPhoneNumber
[
	object,
	uuid("BC9D5329-3755-48D9-83B9-E595373667AA"),
	dual,	helpstring("IPhoneNumber Interface"),
	pointer_default(unique)
]
__interface IPhoneNumber : IDispatch
{
	[id(1), helpstring("method ValidatePhoneNumber")] HRESULT ValidatePhoneNumber([in] BSTR Number, [out] BYTE* pError, [out] BSTR* pErrorString);
};



// CPhoneNumber

[
	coclass,
	threading("apartment"),
	vi_progid("PhoneFormat.PhoneNumber"),
	progid("PhoneFormat.PhoneNumber.1"),
	version(1.0),
	uuid("FF347252-AC52-4B81-A5B2-887984E43EB9"),
	helpstring("PhoneNumber Class")
]
class ATL_NO_VTABLE CPhoneNumber : 
	public IPhoneNumber
{
public:
	CPhoneNumber()
	{
	}


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

	STDMETHOD(ValidatePhoneNumber)(BSTR Number, BYTE* pError, BSTR* pErrorString);
};

