// This is the main project file for VC++ application project 
// generated using an Application Wizard.

#include "stdafx.h"

#using <mscorlib.dll>
#using <System.dll>
#include <tchar.h>

#using "Debug\PhoneFormat.dll"

using namespace System;
using namespace System::Text::RegularExpressions;

__gc class ShortPhoneValidator: public PhoneFormat::CPhoneNumberClass
{
public:
	void ValidateShortPhoneNumber(String* number, unsigned char* pError, String** pErrorString)
	{
		Regex* regexp = new Regex("[0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]" ); // 555-1212
		MatchCollection* mc = regexp->Matches(number);

		if (mc->Count > 0 && number->Length == 8)
		{
			*pError = 0;
			*pErrorString = S"OK";

		}
		else
		{
			*pError = 1;
			*pErrorString = S"Bad Format";
		}


	}
};

// This is the entry point for this application
int _tmain(void)
{
	ShortPhoneValidator* shortvalidator = new ShortPhoneValidator();
	Console::WriteLine(S"Enter a phone number, please:");
	String* number = Console::ReadLine();
	String* errormessage;
	unsigned char errorcode;
	Console::WriteLine("Checking long format:");
	shortvalidator->ValidatePhoneNumber(number, &errorcode, &errormessage);
	Console::Write("Code: {0} ", __box(errorcode));
	Console::WriteLine(" Message: {0}", errormessage);

	Console::WriteLine("Checking short format:");
	shortvalidator->ValidateShortPhoneNumber(number, &errorcode, &errormessage);
	Console::Write("Code: {0} ", __box(errorcode));
	Console::WriteLine(" Message: {0}", errormessage);

	return 0;
}