// RecsView.h : interface of the CRecsView class
//


#pragma once


class CRecsView : public CView
{
protected: // create from serialization only
	CRecsView();
	DECLARE_DYNCREATE(CRecsView)

// Attributes
public:
	CRecsDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CRecsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // debug version in RecsView.cpp
inline CRecsDoc* CRecsView::GetDocument() const
   { return reinterpret_cast<CRecsDoc*>(m_pDocument); }
#endif

