// FileDemoView.cpp : implementation of the CFileDemoView class
//

#include "stdafx.h"
#include "FileDemo.h"

#include "FileDemoDoc.h"
#include "FileDemoView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CFileDemoView

IMPLEMENT_DYNCREATE(CFileDemoView, CView)

BEGIN_MESSAGE_MAP(CFileDemoView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
    ON_COMMAND(ID_EDIT_CHANGEMESSAGE, OnEditChangemessage)
END_MESSAGE_MAP()

// CFileDemoView construction/destruction

CFileDemoView::CFileDemoView()
{
	// TODO: add construction code here

}

CFileDemoView::~CFileDemoView()
{
}

BOOL CFileDemoView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CFileDemoView drawing

void CFileDemoView::OnDraw(CDC* pDC)
{
	CFileDemoDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

    pDC->TextOut(20, 20, pDoc->m_message);
}


// CFileDemoView printing

BOOL CFileDemoView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CFileDemoView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CFileDemoView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CFileDemoView diagnostics

#ifdef _DEBUG
void CFileDemoView::AssertValid() const
{
	CView::AssertValid();
}

void CFileDemoView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CFileDemoDoc* CFileDemoView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CFileDemoDoc)));
	return (CFileDemoDoc*)m_pDocument;
}
#endif //_DEBUG


// CFileDemoView message handlers

void CFileDemoView::OnEditChangemessage()
{
   CTime now = CTime::GetCurrentTime();
   CString changetime = now.Format("Changed at %B %d %H:%M:%S");
   GetDocument()->m_message = changetime;
   GetDocument()->SetModifiedFlag();
   Invalidate();
}
