// PropsView.h : interface of the CPropsView class
//


#pragma once


class CPropsView : public CView
{
protected: // create from serialization only
	CPropsView();
	DECLARE_DYNCREATE(CPropsView)

// Attributes
public:
	CPropsDoc* GetDocument() const;
protected:
    CString m_edit;
    BOOL m_check;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CPropsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnFilePropertysheet();
};

#ifndef _DEBUG  // debug version in PropsView.cpp
inline CPropsDoc* CPropsView::GetDocument() const
   { return reinterpret_cast<CPropsDoc*>(m_pDocument); }
#endif

