// WizardView.h : interface of the CWizardView class
//


#pragma once

#include "wizsheet.h"

class CWizardView : public CView
{
protected: // create from serialization only
	CWizardView();
	DECLARE_DYNCREATE(CWizardView)

// Attributes
public:
	CWizardDoc* GetDocument() const;
protected:
    CString m_edit;
    BOOL m_check;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CWizardView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnFileWizard();
};

#ifndef _DEBUG  // debug version in WizardView.cpp
inline CWizardDoc* CWizardView::GetDocument() const
   { return reinterpret_cast<CWizardDoc*>(m_pDocument); }
#endif

